package com.diegol.profundiza;

import java.util.ArrayList;
import android.content.Context;
import android.content.Intent;
import android.os.Bundle;
import android.view.LayoutInflater;
import android.view.View;
import android.view.ViewGroup;
import android.widget.ArrayAdapter;
import android.widget.TextView;

public class ListViewAdapter extends ArrayAdapter<String> {

	private final Context context;
	private final ArrayList<String> values;
	private ArrayList<String> urls;

	public ListViewAdapter(Context context, ArrayList<String> datos,
			ArrayList<String> urls) {
		super(context, R.layout.fila_list_view, datos);
		this.context = context;
		this.values = datos;
		this.urls = urls;
	}

	@Override
	public View getView(final int position, View convertView,
			final ViewGroup parent) {
		LayoutInflater inflater = (LayoutInflater) context
				.getSystemService(Context.LAYOUT_INFLATER_SERVICE);
		View rowView = inflater.inflate(R.layout.fila_list_view, parent, false);
		rowView.setOnClickListener(new View.OnClickListener() {

			@Override
			public void onClick(View v) {
				Intent i = new Intent(context.getApplicationContext(),
						WebViewActivity.class);
				Bundle b = new Bundle();
				b.putString("url", urls.get(position));
				i.putExtras(b);
				context.startActivity(i);
			}
		});
		TextView tView = (TextView) rowView.findViewById(R.id.filaTextView);
		tView.setText(values.get(position));
		return rowView;
	}
}
