package com.diegol.profundiza;

import java.util.ArrayList;

import android.app.ListActivity;
import android.content.Intent;
import android.graphics.Color;
import android.graphics.drawable.ColorDrawable;
import android.os.Bundle;
import android.view.View;
import android.widget.AdapterView;
import android.widget.AdapterView.OnItemClickListener;
import android.widget.ArrayAdapter;
import android.widget.ListView;

public class ListViewBusqueda extends ListActivity {

	private ArrayList<String> titulos;
	private ArrayList<String> urls;
	private ListView mainListView;
	private ArrayAdapter<String> listAdapter;

	@Override
	public void onCreate(Bundle savedInstanceState) {
		super.onCreate(savedInstanceState);
		Bundle b = getIntent().getExtras();
		titulos = b.getStringArrayList("titulos");
		urls = b.getStringArrayList("urls");
		mainListView = getListView();
		mainListView.setBackgroundColor(Color.WHITE);
		mainListView.setDivider(new ColorDrawable(getApplicationContext()
				.getResources().getColor(R.color.black)));
		mainListView.setDividerHeight(1);
		listAdapter = new ArrayAdapter<String>(this, R.layout.fila_list_view,
				titulos);
		mainListView.setOnItemClickListener(new OnItemClickListener() {

			@Override
			public void onItemClick(AdapterView<?> arg0, View arg1, int arg2,
					long arg3) {
				// Abrimos el webView cuando hacemos click en la entrada que sea
				// (arg2)
				Intent i = new Intent(getBaseContext(), WebViewActivity.class);
				Bundle b = new Bundle();
				b.putString("url", urls.get(arg2));
				i.putExtras(b);
				i.addFlags(Intent.FLAG_ACTIVITY_NEW_TASK);
				getBaseContext().startActivity(i);
			}
		});
		mainListView.setAdapter(listAdapter);
	}
}
