package com.diegol.profundiza;

import java.util.ArrayList;

import android.os.Bundle;
import android.view.LayoutInflater;
import android.view.View;
import android.view.View.OnClickListener;
import android.view.ViewGroup;
import android.widget.Button;
import android.widget.LinearLayout;
import android.widget.ListView;
import android.widget.Toast;

import com.actionbarsherlock.app.SherlockFragment;

public class TabFragmentInicio extends SherlockFragment {
	private ArrayList<ArrayList<String>> datos;
	private int pagina;
	private ListViewAdapter adaptador;

	// Funcion que crea la view que se mostrara al seleccionar la pestaa
	// inicio.
	@Override
	public View onCreateView(LayoutInflater inflater, ViewGroup container,
			Bundle savedInstanceState) {
		pagina = 1;
		try {
			datos = new ParseoAsincrono(getActivity()).execute(
					"http://www.profundiza.org/").get();
			if (datos.get(0).isEmpty()) {
				datos = new ParseoAsincrono(getActivity()).execute(
						"http://www.profundiza.es/").get();
			}
		} catch (Exception e) {
			Toast.makeText(getActivity(), "Blog caido o direccin incorrecta",
					Toast.LENGTH_LONG).show();
		}
		if (datos == null) {
			Toast.makeText(
					getActivity(),
					"Error al cargar el blog \nCompruebe su conexin a Internet",
					Toast.LENGTH_LONG).show();
		}

		// A partir de aqu se inflar el layout y se le pondr el adapter que
		// lo rellena.
		LinearLayout r = (LinearLayout) inflater.inflate(R.layout.lay_inicio,
				container, false);
		final ListView lista = (ListView) r
				.findViewById(R.id.tab_inicio_list_view);
		if (datos != null) {
			adaptador = new ListViewAdapter(getActivity(), datos.get(0),
					datos.get(1));
			lista.setAdapter(adaptador);
		}
		Button b = (Button) r.findViewById(R.id.tab_inicio_leer_mas);
		b.setOnClickListener(new OnClickListener() {

			@Override
			public void onClick(View v) {
				pagina++;
				ArrayList<ArrayList<String>> aux = new ArrayList<ArrayList<String>>();
				try {
					aux = new ParseoAsincrono(getActivity()).execute(
					// "http://profundiza.org/?paged=" + pagina).get();
							"http://profundiza.org/?paged=" + pagina).get();
					if (aux.get(0).isEmpty())
						aux = new ParseoAsincrono(getActivity()).execute(
								"http://profundiza.es/?paged=" + pagina).get();
				} catch (Exception e) {
					Toast.makeText(getActivity(),
							"Blog caido o direccin incorrecta",
							Toast.LENGTH_LONG).show();
				}
				if (aux != null) {
					datos.add(0, aux.get(0));
					datos.add(1, aux.get(1));
					adaptador = new ListViewAdapter(getActivity(),
							datos.get(0), datos.get(1));
					adaptador.notifyDataSetChanged();
					lista.setAdapter(adaptador);
				}
			}
		});

		final Button b2 = (Button) r.findViewById(R.id.tab_inicio_leer_menos);
		b2.setOnClickListener(new OnClickListener() {

			@Override
			public void onClick(View v) {
				if (pagina > 1) {
					pagina--;
				} else {
					Toast.makeText(getActivity(), "No hay entradas anteriores",
							Toast.LENGTH_LONG).show();
				}
				ArrayList<ArrayList<String>> aux = new ArrayList<ArrayList<String>>();
				try {
					aux = new ParseoAsincrono(getActivity()).execute(
					// "http://profundiza.org/?paged=" + pagina).get();
							"http://profundiza.es/?paged=" + pagina).get();
					if (aux.get(0).isEmpty()){
						aux = new ParseoAsincrono(getActivity()).execute(
								"http://profundiza.org/?paged=" + pagina).get();
					}
				} catch (Exception e) {
					Toast.makeText(getActivity(),
							"Blog caido o direccin incorrecta",
							Toast.LENGTH_LONG).show();
				}
				if (aux != null) {
					datos.add(0, aux.get(0));
					datos.add(1, aux.get(1));
					adaptador = new ListViewAdapter(getActivity(),
							datos.get(0), datos.get(1));
					adaptador.notifyDataSetChanged();
					lista.setAdapter(adaptador);
				}
			}
		});
		return r;
	}
}